Subject: Re: [PATCH v2 3/3] arm64: dts: allwinner: A133: add support for Baijie Helper A133 board

From: Paul Kocialkowski <[email-masked]>
Date: Mon, 18 May 2026 13:54:55 +0200

Hi Alexander,

Le Mon 18 May 26, 13:29, Alexander Sverdlin a écrit :
> Hi Andre,
> 
> On Mon, 2026-05-18 at 13:16 +0200, Andre Przywara wrote:
> > > > And anyway, I see a *dual* USB-A socket on the pictures online, in
> > > > addition to the USB-OTG port. So where does the third USB come from? The
> > > > A133 only supports one host USB port plus the one OTG port. So is there
> > > > an USB hub chip on the board?
> > > 
> > > There are two hubs, one on each usbphy. OTG side hub is even bus-powered,
> > 
> > What do you mean with OTG side hub, exactly? Is there a hub on USB0? How 
> > does this work, then?
> 
> the upstream port of this hub is wired to the USB-C connector, one port has
> CH340E USB-UART on it for the console, the other port goes to the SoC usbphy 0.
> So it would be "peripheral" only, I suppose.

Yes like I explained in my other email there used to be a USB0 ID pin in
earlier revisions of the board but it was reassigned and USB0 is now
sitting behind the hub so it should be peripheral only.

All the best,

Paul

-- 
Paul Kocialkowski,

Independent contractor - sys-base - https://www.sys-base.io/
Free software developer - https://www.paulk.fr/

Expert in multimedia, graphics and embedded hardware support with Linux.